## Remove an NFON or TeamViewer account from the employee (hr:write)

`DELETE /api/hr/v1/employees/{id}/linked-accounts/{provider}/{key}`

Module: HR · operationId: `unlinkEmployeeAccount` · Tag: Employees · Auth: access token (`Authorization: Bearer <accessToken>`)

### Parameters

| Name | In | Type | Required | Description |
|---|---|---|---|---|
| `id` | path | string (uuid) | yes |  |
| `provider` | path | string | yes | The provider of the account (one of `nfon`, `teamviewer`) |
| `key` | path | string | yes | The provider's id of the account (NFON extension, TeamViewer user id) (max length 256) |

### Responses

- **204** Removed
- **400** Error (`application/json`)
- **403** Error (`application/json`)
- **404** The employee does not exist or has no such account (`application/json`)
- **409** The tenant has not connected the provider (`provider_not_connected`) (`application/json`)
- **503** comms is not configured or not reachable (`linked_accounts_unavailable`) (`application/json`)

### Example request

```bash
curl -X DELETE 'https://api.mbcom.cloud/api/hr/v1/employees/3f2b8c1e-7d4a-4e9b-9c2a-5b1d6e8f0a12/linked-accounts/nfon/string' \
  -H "Authorization: Bearer $ACCESS_TOKEN"
```
